name:

(import ../outer-defaults.nix name) // {

  bindMounts."/srv/c3d2" = {
    hostPath = "/srv/ceph/c3d2";
    isReadOnly = true;
  };

  config = { config, pkgs, lib, ... }: {
    imports = [ ../inner-defaults.nix ];

    c3d2.hq.statistics.enable = true;

    services.samba = {
      enable = true;
      enableNmbd = true;
      extraConfig = ''
        workgroup = WORKGROUP
        server string = storage
        netbios name = storage
        hosts allow = 172.20 172.22 172.22.99.146
        hosts deny = 0.0.0.0/0
        map to guest = Bad user
      '';
      shares = {
        c3d2 = {
          path = "/srv/c3d2";
          browseable = "yes";
          "read only" = "no";
          "guest ok" = "yes";
          "create mask" = "0644";
          "directory mask" = "0755";
        };
      };
    };

    networking.firewall.enable = false;
  };

}
